package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yonge.cooleshow.biz.dal.enums.AuthStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 曲目审核表
 */
@TableName("music_sheet_auth_record")
@ApiModel(value = "MusicSheetAuthRecord对象", description = "曲目审核表")
public class MusicSheetAuthRecord implements Serializable {
	private static final long serialVersionUID = 1L;
    @ApiModelProperty("审核单id ")
    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;
    @ApiModelProperty("曲目id ")
	@TableField(value = "music_sheet_id_")
    private Long musicSheetId;
    @ApiModelProperty("审核状态 DOING:审核中;PASS:通过;UNPASS:未通过 ")
	@TableField(value = "audit_state_")
    private AuthStatusEnum auditState;
    @ApiModelProperty("审核人 ")
	@TableField(value = "verify_user_id_")
    private Long verifyUserId;
    @ApiModelProperty("审核理由 ")
	@TableField(value = "reason_")
    private String reason;
	@TableField(value = "create_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date createTime;
	@TableField(value = "update_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date updateTime;

	public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    
	public Long getMusicSheetId() {
        return musicSheetId;
    }

    public void setMusicSheetId(Long musicSheetId) {
        this.musicSheetId = musicSheetId;
    }
    
	public AuthStatusEnum getAuditState() {
        return auditState;
    }

    public void setAuditState(AuthStatusEnum auditState) {
        this.auditState = auditState;
    }
    
	public Long getVerifyUserId() {
        return verifyUserId;
    }

    public void setVerifyUserId(Long verifyUserId) {
        this.verifyUserId = verifyUserId;
    }
    
	public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }
    
	public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    
	public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
    
}